﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Exceptions
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            // 3
            int n = -42;
            try
            {
                string[] a = System.IO.File.ReadAllLines("text.txt");
                string[] b = a[2].Split(';');
                n = int.Parse(b[1]);
                //6
                if (n != 243)
                {
                    throw new ApplicationException("Falsche Versionsnummer!");
                }
            }
            //5
            catch (FormatException)
            {
                MessageBox.Show("Falsches Format");
            }
            catch (Exception ex)
            {
                //4
                MessageBox.Show("Fehler:\n" + ex.GetType() + "\n" + ex.Message);
            }
            //8
            finally
            {
                MessageBox.Show("Hieran führt kein Weg vorbei!");
            }
            
            label1.Content = n;
        }
    }
}
